io.undertow.util

## Class Certificates

- java.lang.Object
- - io.undertow.util.Certificates

    public class Certificates
    extends Object

Utility class for dealing with certificates

Author:
  Stuart Douglas

### Field Summary

Fields
`static String` `BEGIN_CERT`
`static String` `END_CERT`

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `toPem(Certificate certificate)`
`static String` `toPem(X509Certificate certificate)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### BEGIN_CERT

    public static final String BEGIN_CERT

See Also:
  Constant Field Values

#### END_CERT

    public static final String END_CERT

See Also:
  Constant Field Values

### Method Detail

#### toPem

    public static String toPem(X509Certificate certificate)
                        throws CertificateEncodingException

Throws:
  `CertificateEncodingException`

#### toPem

    public static String toPem(Certificate certificate)
                        throws CertificateEncodingException

Throws:
  `CertificateEncodingException`